/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 * File: _coder_nco_api.h
 *
 * MATLAB Coder version            : 24.1
 * C/C++ source code generated on  : 2025-04-09 02:18:34
 */

#ifndef _CODER_NCO_API_H
#define _CODER_NCO_API_H

/* Include Files */
#include "emlrt.h"
#include "mex.h"
#include "tmwtypes.h"
#include <string.h>

/* Variable Declarations */
extern emlrtCTX emlrtRootTLSGlobal;
extern emlrtContext emlrtContextGlobal;

#ifdef __cplusplus
extern "C" {
#endif

/* Function Declarations */
void nco(real_T fcw, real_T ptw, real_T clr, real_T acc, real_T *my_c,
         real_T *my_s, real_T *acc_o);

void nco_api(const mxArray *const prhs[4], int32_T nlhs,
             const mxArray *plhs[3]);

void nco_atexit(void);

void nco_initialize(void);

void nco_terminate(void);

void nco_xil_shutdown(void);

void nco_xil_terminate(void);

#ifdef __cplusplus
}
#endif

#endif
/*
 * File trailer for _coder_nco_api.h
 *
 * [EOF]
 */
